<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));


use Concrete\Core\Package\PackageList;
use Concrete\Core\Marketplace\RemoteItem;


$uH = \Core::make( 'helper/concrete/urls' );

$list = PackageList::get();

echo '<div class="addon-list grid">';

foreach ( $list->getPackages() as $package )
{
	$startLink = '';
	$closeLink = '';
	echo '<p class="addon-item">';
	if ( $linkToMarketplace )
	{
		$item = RemoteItem::getByHandle($package->getPackageHandle());
		if ( $item )
		{
			$url = $item->getRemoteURL();
			$startLink = "<a href=\"$url\">";
			$closeLink = '</a>';
			Log::debug("found link for " . $package->getPackageHandle() . " : $url" );
		}
	}

	if ( $showIcons ) echo $startLink . '<img src="' . $uH->getPackageIconURL($package) . '" width="97" height="97"/>' . $closeLink;
	if ( $showNames ) echo $startLink . '<span class="addon-name">' . $package->getPackageName() . '</span>' . $closeLink;

	echo '</p>';
}

echo '</div>';


// vim: set noexpandtab ts=4 :
